@import url("https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300..900;1,300..900&display=swap");

@font-face {
  font-family: "Puls";
  src:
    url("PaluiSPDemo-Bold.woff2") format("woff2"),
    url("PaluiSPDemo-Bold.woff") format("woff"),
    url("PaluiSPDemo-Bold.otf") format("opentype");
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: "Rubik", sans-serif;
  background: #191919;
}

.imima {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  z-index: -1;
  opacity: 0.2;
}

main {
  width: 100%;
  /* background-image: url(../img/background.png); */
  height: 100vh;
  background-position: center top;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
}

.container {
  max-width: 480px;
  width: 100%;
  margin: 0 auto;
}

.app-wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  padding: 7em 0;
}

.title-text h1 {
  font-size: 100px;
  font-weight: 500;
  margin-bottom: 32px;
  font-family: "Puls", sans-serif;
  color: #dce151;
  text-align: center;
  line-height: 0.5;
}

.title-text h2 {
  font-size: 40px;
  text-align: right;
  font-weight: 500;
  font-family: "Puls", sans-serif;
  color: #e6edb7;
  line-height: 1;
}

.check-code-form {
  padding: 2em;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 16px;
}

.input-wrapper {
  width: 100%;
  position: relative;
}

.input-wrapper:before {
  content: "";
  position: absolute;
  top: 0;
  left: -14px;
  width: 40px;
  height: 100%;
  background: #dce151;
  transform: skew(-10deg);
  border-radius: 10px 0 0 10px;
  transition: 0.3s ease;
}

.input-wrapper:after {
  content: "";
  position: absolute;
  top: 0;
  right: -14px;
  width: 40px;
  height: 100%;
  background: #dce151;
  transform: skew(-10deg);
  border-radius: 0 10px 10px 0;
  transition: 0.3s ease;
}

.input-wrapper:hover:after {
  width: 80px;
  transition: 0.3s ease;
}

.input-wrapper:hover:before {
  width: 80px;
  transition: 0.3s ease;
}

.input-wrapper input {
  border: 1px solid #dce151;
  color: #ffffff;
  font-family: Rubik, sans-serif;
  box-sizing: border-box;
  font-size: 1.125em;
  font-weight: 400;
  text-align: center;
  padding: 1em;
  display: block;
  width: 100%;
  outline: none;
  transition: all 40ms linear;
  background: initial;
  background: #191919;
}

/* .check-code-form input:focus {
  border: 1px solid #428ac6;
  transition: all 40ms linear;
} */

.check-code-form button {
  background: #dce151;
  border-radius: 10px;
  box-sizing: border-box;
  border: none;
  width: 45%;
  display: block;
  font-size: 16px;
  color: #1f1f1f;
  font-weight: 600;
  padding: 1em;
  text-transform: uppercase;
  outline: none;
  transition: all 40ms linear;
  cursor: pointer;
  line-height: 1.5;
  border: 2px solid #dce151;
  transition: 0.3s ease;
}

.check-code-form button:hover {
  transition: 0.3s ease;
  background: #1f1f1f;
  color: #dce151;
}
/* .check-code-form button:hover {
  box-shadow: 0 8px 16px rgba(48, 60, 108, 0.32);
} */

.form-feedback-wrapper {
  padding-top: 64px;
  border-top: 1px solid #dce151;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  width: 100%;
}

.form-feedback-wrapper > p {
  font-size: 24px;
  color: #e6edb7;
  width: 100%;
  text-align: center;
}

.form-feedback-wrapper > span {
  font-size: 17px;
  color: #e6edb7;
  margin-top: 8px;
  width: 100%;
  text-align: center;
}

.form-feedback {
  margin-top: 32px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  width: 100%;
  gap: 16px;
}

.form-feedback div {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  width: 100%;
  gap: 4px;
}

.form-feedback div p {
  font-weight: 500;
  color: #e6edb7;
  font-size: 16px;
}

.form-feedback div input {
  background: #f0f0f0;
  outline: none;
  color: #ffffff;
  border: 0;
  width: 100%;
  display: block;
  padding: 12px;
  line-height: 1.5;
  font-size: 16px;
  background: #191919;
  border: 2px solid #dce151;
  border-radius: 10px;
}

.form-feedback div textarea {
  background: #191919;
  border: 2px solid #dce151;
  border-radius: 10px;
  outline: none;
  color: #ffffff;
  width: 100%;
  display: block;
  padding: 12px;
  line-height: 1.5;
  font-size: 16px;
  height: 96px;
  resize: none;
}

/* .form-feedback button:hover {
  color: #fff;
  background: #000;
} */

.form-div {
  display: flex;
  align-items: flex-end !important;
  flex-direction: row !important;
  gap: 10px !important;
}

.form-div button {
  padding: 0 32px;
  font-weight: 600;
  font-size: 16px;
  border: none;
  outline: none;
  line-height: 1.5;
  cursor: pointer;
  height: 51.2px;
  border-radius: 10px;
  background: #dce151;
  color: #191919;
  border: 2px solid #dce151;
  transition: 0.3s ease;
}

.form-div button:hover {
  background: 191919;
  color: #dce151;
  border: 2px solid #dce151;
  transition: 0.3s ease;
}

.error {
  margin-top: 16px;
  width: 100%;
  background: #fcebea;
  width: 100%;
  padding: 16px 24px;
  display: none;
}

.error.open {
  display: block;
}

.error p {
  color: #cc1f1a;
  text-align: center;
  font-size: 16px;
}

.accept {
  margin-top: 16px;
  width: 100%;
  background: #fcebea;
  width: 100%;
  padding: 16px 24px;
  display: none;
}

.accept.open {
  display: block;
}

.accept p {
  color: #01884e;
  text-align: center;
  font-size: 16px;
}

.messege {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #0000008a;
  z-index: 99;
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
}

.messege.open {
  opacity: 1;
  visibility: visible;
}

.messege p {
  color: #01884e;
  font-weight: 600;
  text-align: center;
  font-size: 20px;
  padding: 20px 40px;
  border-radius: 10px;
  background: #fff;
}

@media all and (max-width: 560px) {
  .container {
    max-width: 480px;
    width: 100%;
    margin: 0 auto;
    padding: 16px;
  }

  .app-wrapper {
    padding: 2em 0;
  }
}
